// 自动生成模板Place
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// Place 结构体
// 如果含有time.Time 请自行import time包
type Place struct {
	global.GVA_MODEL
	Name            string     `json:"name" form:"name" gorm:"column:name;comment:点位名称;type:varchar(255);"`
	Position        string     `json:"position" form:"position" gorm:"column:position;comment:点位定位;type:varchar(255);"`
	Type            *int       `json:"type" form:"type" gorm:"column:type;comment:点位类型;type:int;"`
	Region          string     `json:"region" form:"region" gorm:"column:region;comment:区域;type:varchar(255);"`
	OrganCode       string     `json:"organCode" form:"organCode" gorm:"column:organ_code;comment:区域归属;type:varchar(255);"`
	UnitIntegral    *int       `json:"unitIntegral" form:"unitIntegral" gorm:"column:unit_integral;comment:现有积分;type:int"`
	UnitMaxIntegral *int       `json:"unitMaxIntegral" form:"unitMaxIntegral" gorm:"column:unit_max_integral;comment:满分;type:int"`
	ProList         []PlacePro `json:"proList" gorm:"-"`
}

// TableName Place 表名
func (Place) TableName() string {
	return "place"
}
